summaryrefslogtreecommitdiffstats
path: root/components/datalake-handler/init_db/scripts/db_init/10_check-db-exist
diff options
context:
space:
mode:
authorKate Hsuan <kate.hsuan@qct.io>2020-02-24 06:21:17 +0000
committerKate Hsuan <kate.hsuan@qct.io>2020-02-24 06:21:17 +0000
commitfdbe7434b8d9287223bc642cb5413f5eb0ed90d8 (patch)
tree915865251fbd98954a8aa2796ded6a18c9e2139e /components/datalake-handler/init_db/scripts/db_init/10_check-db-exist
parent06d595819918da57b6ce3ffeb9346c7913f2c66b (diff)
Helm and blueprint implementation of datalake
1. Deployment Helm chart. 2. helm plugin based cloudify blueprints. 3. fix pom.xml and directory location for CI. Issue-ID: DCAEGEN2-2008 Signed-off-by: Kate Hsuan <kate.hsuan@qct.io> Change-Id: If24524576e72392b66ff556237154922b213a29b
Diffstat (limited to 'components/datalake-handler/init_db/scripts/db_init/10_check-db-exist')
-rw-r--r--components/datalake-handler/init_db/scripts/db_init/10_check-db-exist30
1 files changed, 30 insertions, 0 deletions
diff --git a/components/datalake-handler/init_db/scripts/db_init/10_check-db-exist b/components/datalake-handler/init_db/scripts/db_init/10_check-db-exist
new file mode 100644
index 00000000..cdf8af50
--- /dev/null
+++ b/components/datalake-handler/init_db/scripts/db_init/10_check-db-exist
@@ -0,0 +1,30 @@
+#!/bin/bash
+#
+# ============LICENSE_START==========================================
+# ===================================================================
+# Copyright © 2020 QCT Property. All rights reserved.
+# ===================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END============================================
+#
+result=`mysql -qfsB -uroot -p$MYSQL_ROOT_PASSWORD -h $MYSQL_HOST -P $MYSQL_PORT -e "SELECT SCHEMA_NAME FROM INFORMATION_SCHEMA.SCHEMATA WHERE SCHEMA_NAME='datalake'" 2>&1`
+
+if [[ ! -z $result ]];
+then
+ echo "DATABASE ALREADY EXISTS"
+ touch /tmp/db_exist
+ exit 1
+else
+ echo "DATABASE DOES NOT EXIST"
+ exit 0
+fi \ No newline at end of file